package com.hfkj.entity;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * bs_industry
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsIndustry implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 父类id
     */
    private Long parentId;

    /**
     * 行业名称
     */
    private String name;

    /**
     * 微信公司行业代码
     */
    private String wechatCompanyCode;

    /**
     * 微信个体户代码
     */
    private String wechatSelfEmployedCode;

    /**
     * 微信行业名称
     */
    private String wechatName;

    /**
     * 状态 0：删除  1：正常
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    List<BsIndustry> childIndustry;

    public List<BsIndustry> getChildIndustry() {
        return childIndustry;
    }

    public void setChildIndustry(List<BsIndustry> childIndustry) {
        this.childIndustry = childIndustry;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getWechatCompanyCode() {
        return wechatCompanyCode;
    }

    public void setWechatCompanyCode(String wechatCompanyCode) {
        this.wechatCompanyCode = wechatCompanyCode;
    }

    public String getWechatSelfEmployedCode() {
        return wechatSelfEmployedCode;
    }

    public void setWechatSelfEmployedCode(String wechatSelfEmployedCode) {
        this.wechatSelfEmployedCode = wechatSelfEmployedCode;
    }

    public String getWechatName() {
        return wechatName;
    }

    public void setWechatName(String wechatName) {
        this.wechatName = wechatName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsIndustry other = (BsIndustry) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getParentId() == null ? other.getParentId() == null : this.getParentId().equals(other.getParentId()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getWechatCompanyCode() == null ? other.getWechatCompanyCode() == null : this.getWechatCompanyCode().equals(other.getWechatCompanyCode()))
            && (this.getWechatSelfEmployedCode() == null ? other.getWechatSelfEmployedCode() == null : this.getWechatSelfEmployedCode().equals(other.getWechatSelfEmployedCode()))
            && (this.getWechatName() == null ? other.getWechatName() == null : this.getWechatName().equals(other.getWechatName()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getParentId() == null) ? 0 : getParentId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getWechatCompanyCode() == null) ? 0 : getWechatCompanyCode().hashCode());
        result = prime * result + ((getWechatSelfEmployedCode() == null) ? 0 : getWechatSelfEmployedCode().hashCode());
        result = prime * result + ((getWechatName() == null) ? 0 : getWechatName().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", parentId=").append(parentId);
        sb.append(", name=").append(name);
        sb.append(", wechatCompanyCode=").append(wechatCompanyCode);
        sb.append(", wechatSelfEmployedCode=").append(wechatSelfEmployedCode);
        sb.append(", wechatName=").append(wechatName);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
